Skip to content

Refund Result Query

  • Endpoint: POST /delSuffixStart7
  • Tags: Collection Service

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30Merchant ID assigned by PayerMax.
bizTypestringYesmaxLength: 30Business type. Value 'refundQuery' needs to be passed here.
versionstringYesmaxLength: 5API version, currently always pass '2.1'.
refundIdstringYesmaxLength: 64Refund request ID.

Example

json
{
  "merchantId": "SP12345678",
  "version": "2.1",
  "bizType": "refundQuery",
  "refundId": "20181112112606288846"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 10Response code.
messagestringNomaxLength: 256Response message.
dataobjectYesResponse body,refer to the below【data parameters】
data.refundIdstringYesmaxLength: 64Merchant refund request serial number.
data.tradeNostringYesmaxLength: 64PayerMax platform order number.
data.orderIdstringYesmaxLength: 64Merchant order number.
data.refundAmountstringYesmaxLength: 12Refund order amount. Value range: [1, 100000000], up to two decimal places.
data.currencystringYesmaxLength: 8Currency code in capital letters. Must be consistent with countryCode. See 【Country & Region Codes
data.statusnumberYesThe refund order status: 0-Pending, 1-Success, 2-Failed. This parameter shows the current refund order status.
data.errorCodestringYesmaxLength: 64Error code for failed refund. Empty string if refund is successful.
data.errorMsgstringYesmaxLength: 256Error message for failed refund. Empty string if refund is successful.

Response Example

json
{
  "bizCode": "0000",
  "message": "success",
  "data": {
    "refundId": "20181112112606266846",
    "tradeNo": "20220914153025TI2536162084804117",
    "orderId": "1535433516149",
    "refundAmount": "1000",
    "currency": "INR",
    "status": 1,
    "errorCode": "",
    "errorMsg": ""
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.